@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

body {
    font-family: "Figtree", serif;
    background-color: #f4f4f4;
    /*user-select: none;*/
}

/*img {*/
/*    pointer-events: none;*/
/*}*/
  
.fs--1 {
    font-size: 11px;
}
.fs--2 {
    font-size: 12px;
}
.fs--3 {
    font-size: 13px;
}
.fs--4 {
    font-size: 14px;
}

.fsh-1 {
    font-size: 20px;
}
.fsh-2 {
    font-size: 22px;
}
.fsh-3 {
    font-size: 24px;
}
.fsh-4 {
    font-size: 26px;
}

.fw-bold {
    font-weight: 500;
}

.td-none {
    text-decoration: none;
}

.form-check-input:focus {
    box-shadow: none;
    border-color: transparent;
}

.form-check-input:checked {
    background-color: red;
    border-color: red;
}


.text-warning {
    color: #b65507;
}


.top-bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: #333;
    padding: 10px 20px;
    color: white;
}

.clock {
    flex: 1;
    text-align: left;
}

.menu {
    flex: 1;
    display: flex;
    justify-content: center;
    gap: 20px;
}

.menu-item {
    color: white;
    text-decoration: none;
    font-weight: bold;
}

.menu-item:hover {
    text-decoration: underline;
}


/* Loader */

#loading-overlay {
    position: fixed;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 1); /* Hafif beyaz arka plan */
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 9999; /* En üstte olması için */
}

/* Spinner CSS */
.dot-spinner {
  --uib-size: 2.8rem;
  --uib-speed: 0.9s;
  --uib-color: #183153;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  height: var(--uib-size);
  width: var(--uib-size);
}

.dot-spinner__dot {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: flex-start;
  height: 100%;
  width: 100%;
}

.dot-spinner__dot::before {
  content: "";
  height: 20%;
  width: 20%;
  border-radius: 50%;
  background-color: var(--uib-color);
  transform: scale(0);
  opacity: 0.5;
  animation: pulse0112 calc(var(--uib-speed) * 1.111) ease-in-out infinite;
  box-shadow: 0 0 20px rgba(18, 31, 53, 0.3);
}

.dot-spinner__dot:nth-child(2) { transform: rotate(45deg); }
.dot-spinner__dot:nth-child(2)::before { animation-delay: calc(var(--uib-speed) * -0.875); }
.dot-spinner__dot:nth-child(3) { transform: rotate(90deg); }
.dot-spinner__dot:nth-child(3)::before { animation-delay: calc(var(--uib-speed) * -0.75); }
.dot-spinner__dot:nth-child(4) { transform: rotate(135deg); }
.dot-spinner__dot:nth-child(4)::before { animation-delay: calc(var(--uib-speed) * -0.625); }
.dot-spinner__dot:nth-child(5) { transform: rotate(180deg); }
.dot-spinner__dot:nth-child(5)::before { animation-delay: calc(var(--uib-speed) * -0.5); }
.dot-spinner__dot:nth-child(6) { transform: rotate(225deg); }
.dot-spinner__dot:nth-child(6)::before { animation-delay: calc(var(--uib-speed) * -0.375); }
.dot-spinner__dot:nth-child(7) { transform: rotate(270deg); }
.dot-spinner__dot:nth-child(7)::before { animation-delay: calc(var(--uib-speed) * -0.25); }
.dot-spinner__dot:nth-child(8) { transform: rotate(315deg); }
.dot-spinner__dot:nth-child(8)::before { animation-delay: calc(var(--uib-speed) * -0.125); }

@keyframes pulse0112 {
  0%, 100% {
    transform: scale(0);
    opacity: 0.5;
  }
  50% {
    transform: scale(1);
    opacity: 1;
  }
}